using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using FWindSoft.Data;

namespace Com.FirmLib.UI.Manufacturer.Model
{
    /// <summary>
    /// 资产显示信息
    /// </summary>
    public class AssetShowItem : BasePropertyChanged
    {
        public string ProjectId { get; set; }
        public string Family { get; set; }

        private string m_Id;
        /// <summary>
        /// 资产信息ID
        /// </summary>
        public string Id
        {
            get { return this.m_Id; }
            set
            {
                this.m_Id = value;
                RaisePropertyChanged(() => this.Id);
            }
        }

        private string m_LocalName;
        /// <summary>
        /// 本地名称
        /// </summary>
        public string LocalName
        {
            get { return this.m_LocalName; }
            set
            {
                this.m_LocalName = value;
                RaisePropertyChanged(() => this.LocalName);
            }
        }

        private string m_LocalCode;
        /// <summary>
        /// 本地编码
        /// </summary>
        public string LocalCode
        {
            get { return this.m_LocalCode; }
            set
            {
                this.m_LocalCode = value;
                RaisePropertyChanged(() => this.LocalCode);
            }
        }


        private  string m_Brand;
        /// <summary>
        /// 品牌
        /// </summary>
        public string Brand
        {
            get { return this.m_Brand; }
            set
            {
                this.m_Brand = value;
                RaisePropertyChanged(() => this.Brand);
            }
        }

        private string m_Product;
        /// <summary>
        /// 产品
        /// </summary>
        public string Product
        {
            get { return this.m_Product; }
            set
            {
                this.m_Product = value;
                RaisePropertyChanged(() => this.Product);
            }
        }

        private string m_Type;
        /// <summary>
        /// 型号
        /// </summary>
        public string Type
        {
            get { return this.m_Type; }
            set
            {
                this.m_Type = value;
                RaisePropertyChanged(() => this.Type);
            }
        }



        private Image m_FullFacePhoto;
        /// <summary>
        /// 正面照
        /// </summary>
        public Image FullFacePhoto
        {
            get { return this.m_FullFacePhoto; }
            set
            {
                this.m_FullFacePhoto = value;
                RaisePropertyChanged(() => this.FullFacePhoto);
            }
        }


        private Image m_DataPlatePhoto;
        /// <summary>
        /// 名牌照
        /// </summary>
        public Image DataPlatePhoto
        {
            get { return this.m_DataPlatePhoto; }
            set
            {
                this.m_DataPlatePhoto = value;
                RaisePropertyChanged(() => this.DataPlatePhoto);
            }
        }


        private string m_ManufactureDate;
        /// <summary>
        /// 生产日期
        /// </summary>
        public string ManufactureDate
        {
            get { return this.m_ManufactureDate; }
            set
            {
                this.m_ManufactureDate = value;
                RaisePropertyChanged(() => this.ManufactureDate);
            }
        }


        private string m_LeaveFactoryCode;
        /// <summary>
        /// 出厂编号
        /// </summary>
        public string LeaveFactoryCode
        {
            get { return this.m_LeaveFactoryCode; }
            set
            {
                this.m_LeaveFactoryCode = value;
                RaisePropertyChanged(() => this.LeaveFactoryCode);
            }
        }
    }
}
